package top.imwork.commons.core.utils;

import org.jasypt.util.text.BasicTextEncryptor;

/**
 * Copyright (C), 2015-2022
 * FileName: JasyptUtils
 * Author<作者姓名>:   jiangxiaowei
 * CreateTime<创建时间>:   2022/5/25 11:23
 * UpdateTime<修改时间>:   2022/5/25 11:23
 * Description〈功能简述〉: 安全加密工具
 * History<历史描述>:
 * Since<版本号>: 1.0.0
 */
public class JasyptUtils {
    private JasyptUtils() {
        throw new IllegalStateException("Utility class");
    }

    /**
     * Jasypt 加密
     *
     * @param salt    加密所需的salt(盐)
     * @param dataStr 要加密的数据（数据库的用户名或密码）
     * @return String 加密后的字符串
     */
    public static String encryptor(String salt, String dataStr) {
        BasicTextEncryptor textEncryptor = new BasicTextEncryptor();
        textEncryptor.setPassword(salt);
        return textEncryptor.encrypt(dataStr);
    }
}